package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;
import java.util.List;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/1 0001 8:47
 */
public class ListOrderRequest implements Serializable {
    private static final long serialVersionUID = 625715179967504757L;


    private List<String> orderNoList;

    private Integer status;

    private Long lastId;
    private Long maxId;

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public Long getMaxId() {
        return maxId;
    }

    public void setMaxId(Long maxId) {
        this.maxId = maxId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
